/*
 *
 * FILE : default.h - definition of structures suppoting reasoning
 *
 * programmer - Pawel Cholewinski
 *
 * date 12/28/92
 *
 */

#define MAXDSIZE   1024*8
#define MAXWSIZE   1024
#define DTSIZE 4096*64
#define BSIZE 128

int w[MAXWSIZE];
int preq[MAXDSIZE];
int just[MAXDSIZE];
int conc[MAXDSIZE];
int d[MAXDSIZE];
int ad[MAXDSIZE];

int  dttable[DTSIZE];
int wno, dno,  wbegin, wend, dbegin, dend, thend, def_stack_top;
int timelimit, extlimit, llenlimit;

int Order[MAXDSIZE];
int Segment[MAXDSIZE];
int GenDef[MAXDSIZE];
int Cextnsn[MAXDSIZE];
int Textnsn[MAXDSIZE];
int Reduct[MAXDSIZE];
int Used[MAXDSIZE];

int dffno, pbegin, pend;

char *defatomlex[2*MAXDSIZE];

int n_strat;
int stratum[MAXDSIZE];

struct GDset *ExtnsnsList, *MinUnconsList;
long  m_ExtnsnsList, m_MinUnconsList;
struct GDset *newGDset();

void GDsetListInsert();
