/*****************************************************************************
 *
 * FILE : expansions.h - definitions of modal theory data structures
 *
 * programmer - Pawel Cholewinski
 *
 * date 04/19/93
 *
 *****************************************************************************/


#define MDMAXSIZE  64 
#define MDSIZE 1024
#define PC   0
#define N    10
#define t    11
#define K    20
#define T    30
#define D    40
#define S4   50
#define kd45 60
#define S4f  70
#define Sw5  80
#define S5   90

int modtable[MDSIZE];
int modform[MDMAXSIZE];
int Lma[MDMAXSIZE];
int GenPart[MDMAXSIZE];
int setphi[MDMAXSIZE];
struct formulabox* Lalpha[MDMAXSIZE];
struct formulabox* LMbeta[MDMAXSIZE];
struct formulabox* Pgamma[MDMAXSIZE];
int IsClausal[MDMAXSIZE];
int current_nml;


int mdbegin, mdend, md_stack_top;
char *mdatomlex[MDMAXSIZE];
int mfno, mano, mffno, Lma_done;

struct formulabox* newformula();
struct formulabox* modal_list_insert();
