/*
 *
 * FILE : global.h - global definitions
 *
 * programmer - Pawel Cholewinski
 *
 * date 12/28/92
 *
 */

#include <string.h>
#include <stdio.h>

#define EOS '\0'
#define SPACE ' '
#define MAXBUFOR 256
#define WSIZE   32641   /* sum delimmiter for hash function */
#define MAXPAR 16
#define MAXFILENAME 256
#define MAXCOM 128
#define EOT 4
#define DEFPROMPT "dft"
#define COPTSIZE 128
#define MAXSIZE 258
#define BDRSSIZE 128
#define HASHSIZE 17    /* 0 =< hashkey =< HASHSIZE  */
#define NONE -1
#define EXISTS 0
#define ALLEXT 1
#define INSOME 2
#define INALL  3

extern char *argvx[MAXPAR];
extern int argcx;
extern char prompt[8];
/*char *malloc();*/
extern int opcja[4], flag[COPTSIZE];
extern int err, timex, ff;
extern char lexbuf[BDRSSIZE];

extern int mode_default,  mode_lp, mode_modal;
extern int on_default, on_lp, on_modal;
extern int inp_default, inp_lp, inp_modal;
extern int def_stratif;
extern char def_znak[MAXFILENAME], lp_znak[MAXFILENAME], modal_znak[MAXFILENAME];
extern char logic_on;
extern long n_expnsns, n_extnsns, n_cppcalls, n_candidates, n_covered, n_uncons;
extern FILE *finp;
extern FILE *fout;
extern FILE *fdw;
extern FILE *fstratif;

struct GDset {
   int flag[MAXSIZE];
   struct GDset *next;
};

struct symbolbox {
   char *id;
   int no;
   struct symbolbox *next;
};

struct formulabox {
   int fs;
   int ls;
   struct formulabox *next;
};

extern struct symbolbox *defhashtable[HASHSIZE];
extern struct symbolbox *mdhashtable[HASHSIZE];
extern struct symbolbox *lphashtable[HASHSIZE];

struct symbolbox *lookup();
struct symbolbox *insert();
