/* tb_graph.h */
#ifndef ID_FIELD_SIZE
#define ID_FIELD_SIZE 161
#endif

typedef struct tb_vertex_struct {
	struct tb_arc_struct *outarcs;
	struct tb_arc_struct *inarcs;
	char *name;
	int u,v,w,x,y,z;
} tb_Vertex;

typedef struct tb_arc_struct {
	struct tb_vertex_struct *tip,*tail;
	struct tb_arc_struct *next, *prev;
	long len;
	int a, b;
} tb_Arc;

typedef struct tb_graph_struct {
	tb_Vertex *vertices;
	long n;
	long m;
	char id[ID_FIELD_SIZE];
	int uu, vv, ww, xx, yy, zz;
} tb_Graph;

tb_Graph *sgbtotb();
