/*
 * Copyright (c) 1989 Brian Sturgill
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that the above copyright notice and this paragraph are
 * duplicated in all such forms and that any documentation,
 * advertising materials, and other materials related to such
 * distribution and use acknowledge that the software was developed
 * by Brian Sturgill and Raphael Finkel at the University of Kentucky,
 * Department of Computer Science.  The names of the University or the
 * authors may not be used to endorse or promote products derived
 * from this software without specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

/* The two GOOD values are intentionally both 0 */
#define GOOD_LOCK '\0'
#define GOOD_RECEIVE '\0'
#define LOCK_ERROR '\1'
#define UNLOCK_ERROR '\2'
#define BAD_SCHEME_READ '\3'
#define NO_PERMISSION '\4'
#define THERE_IS_A_NEWER_VERSION '\5'
#define LOCK_ALREADY_EXISTS '\6'
#define UNARCHIVE_FAILED '\7'
#define REPORT_FAILED '\10'
#define CHDIR_FAILED '\11'
