/*LINTLIBRARY*/
/*
 * Copyright (c) 1989 Brian Sturgill
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that the above copyright notice and this paragraph are
 * duplicated in all such forms and that any documentation,
 * advertising materials, and other materials related to such
 * distribution and use acknowledge that the software was developed
 * by Brian Sturgill and Raphael Finkel at the University of Kentucky,
 * Department of Computer Science.  The names of the University or the
 * authors may not be used to endorse or promote products derived
 * from this software without specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#include "ps.h"

IntegerComp (i1, i2)
     Integer *i1, *i2;
{
  return ((int) *i1 - *i2);
}

RealComp (r1, r2)
     Real *r1, *r2;
{
  if (*r1 > *r2)
    return (1);
  if (*r2 > *r1)
    return (-1);
  return (0);
}

StringComp (s1, s2)
     String *s1, *s2;
{
  return (strcmp (*s1, *s2));
}
