/*
 * Copyright (c) 1989 Brian Sturgill
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that the above copyright notice and this paragraph are
 * duplicated in all such forms and that any documentation,
 * advertising materials, and other materials related to such
 * distribution and use acknowledge that the software was developed
 * by Brian Sturgill and Raphael Finkel at the University of Kentucky,
 * Department of Computer Science.  The names of the University or the
 * authors may not be used to endorse or promote products derived
 * from this software without specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#include <stdio.h>
#include <ctype.h>
/* this next so atof works correctly */
#include <math.h>

#include "db.h"

#define YY_EOF '\0'

Boolean createflag;


char *strdup(),*checktypestr(),*UserName();

Boolean ReadScheme(),WriteAsciiFile(),ReadAsciiFile(),WriteScheme();

Boolean OpenRow(),CloseRow(),ReadRow();

char *NetReadString();


struct definition
	{
	char *name;
	int value;
	};

extern struct definition CheckTypeDef[];
