/* 
 * sgbtotb.c - 
 *
 * programmer - Artur Mikitiuk
 *
 * date - 3/10/95
 */

#include <stdio.h>
#include <gb_graph.h>
#include "tb_graph.h"

tb_Graph *sgbtotb(g)
Graph *g;
{
    long n,m;
    Vertex *v=NULL,*start=NULL,*end=NULL;
    Arc *a;
    tb_Graph *G=NULL;
    tb_Vertex *V=NULL,*V0=NULL;
    tb_Arc *A,*Ap;
    int first;

    if (g==NULL)
	return NULL;
    n=g->n;
    m=g->m;
    start=g->vertices;
    G=(tb_Graph *)malloc(sizeof(tb_Graph));
    if (G==NULL) {
	printf("Memory allocation error G\n");
	exit(1);
    }
    G->n=n;
    G->m=m;
    strcpy(G->id,g->id);
    G->uu=G->vv=G->ww=G->xx=G->yy=G->zz=-1;
    V=(tb_Vertex *)calloc(n,sizeof(tb_Vertex));
    if (V==NULL) {
	printf("Memory allocation error V\n");
	exit(1);
    }
    G->vertices=V0=V;
    A=(tb_Arc *)calloc(m,sizeof(tb_Arc));
    if (A==NULL) {
	printf("Memory allocation error A\n");
	exit(1);
    }
    G->arcs=A;
    for (v=start, end=start+n; v<end; v++) {
	V=G->vertices+(v-start);
	V->name=strdup(v->name);
	V->u=V->v=V->w=V->x=V->y=V->z=-1;
	V->u=v->x.I;
	V->v=v->y.I;
	V->inarcs=V->outarcs=NULL;
	for (a=v->arcs, first=1; a; a=a->next) {
	    A->tail=V;
	    A->tip=V0+(a->tip-start);
	    A->len=a->len;
	    A->a=A->b=-1;
	    A->prev=A->next=NULL;
	    if (first) {
		V->outarcs=Ap=A;
		first=0;
	    } else {
		Ap->next=A;
		A->prev=Ap;
		Ap=A;
	    }
	    A++;
	}
    }
    return G;
}
