\ 
.ft R
.nr PS 14
.nr VS 15
.nr LL +.3i
.LP
.ps 14
.vs 15
.sp 1
.EQ
delim $$
gsize 14
define by 'bold y'
define bb 'bold b'
define bx 'bold x'
define || '\(bv\(bv'
define bR 'bold R'
.EN
.ps 16
.ce 1
\fBBreadth Exam. in Numerical Analysis\fR
.sp 1
.ps 14
.tl 'Two Hours. Open Book''April 1992'
.sp 1
.IP 1.
I want to compute the value of
.sp .5
.EQ
f(x)~=~{x ln (1+x)} over {sin x} ~-~x
.EN
.sp .5
for $x$ close to zero.
Estimate the condition number and propose numerically stable algorithm.
.sp 1
.IP 2.
Show how to apply Newton method to approximate a positive number $r$ that is
the solution of the following equation
.sp .5
.EQ
e sup -r~=~ln ~r
.EN
.sp .5
That is, (1) write down a function $f$ for which Newton method is to be applied,
(2) write down a formula for computing successive approximations, and
(3) propose (and fully justify) the choice of a good initial approximation.
.sp 1
.IP 3.
For given linearly independent vectors $by sub 1$, $by sub 2$, ..., $by sub k$,
$bb$ in $bR sup n$ with $k~<~n$, I want to compute the orthogonal projection
$bx$ of $bb$ onto $"lin""{"~by sub 1 ,..., by sub k "}"$. That is, I want to
find
.sp .5
.EQ
bx~=~c sub 1 sup * by sub 1~+~...~+~c sub k sup * by sub k
.EN
.sp .5
with the coefficients $c sub 1 sup *$, ..., $c sub k sup *$ minimizing
.sp .5
.EQ
d(c sub 1 ,~...~, c sub k )~=~||~ bb~-~ sum from i=1 to k c sub i by sub i~||
sub 2 sup 2~=~( bb~-~sum from i=1 to k c sub i by sub i ) sup t
( bb~-~sum from i=1 to k c sub i by sub i ) sup t
.EN
.sp .5
Of course, these coefficients are the solution of the normal equations
.sp .5
.EQ
partial over {partial c sub j} d(c sub 1 sup * ,~...~, c sub k sup * )~=~0
~~~~j~=~1,...,k
.EN
.sp .5
.RS
.IP (1)
In terms of the vectors $by sub i$, $i=1,...,k$, and $bb$, write the normal
equations as a system of linear equations.
.IP (2)
In a few sentences, explain how you would solve these normal equations
numerically.
.RE
.sp 1
.IP 4.
I have software to produce a least squares polynomial data fitting
to any data set {$x sub i$, $y sub i$}. For a given application, however,
there may be side condition that my software does not directly handle.
Namely, the curve must unconditionally go through the origin with unit slope,
i.e., $f(0)~=~0$ and $f sup {prime} (0)~=~1$.
In this case advise how to proceed.
.sp 1
.IP 5.
Given the following data
.sp 1
.in 1i
.TS
c | n | n | n.
x	1	2	4
_
f(x)	1	1	2
_
f'(x)	2	1	2
.TE
.in 0
.sp 1
.IP
use polynomial interpolation to predict the value of $f(x)$ at $x~=~3$.
.sp 1
.IP 6.
Explain why Trapezoid rule will not work satisfactorily for approximating
.sp .5
.EQ
f(x)~=~ int from 0 to 1 ~sqrt x~cos x~dx
.EN
.sp .5
and propose a remedy.
.LP

