.nr pp 14
.po +0.5i
.ce 3
.sz 16
\fITHEORY AND ALGORITHMS\fR
.sz 14
PhD Breadth Examination - Autumn 1990
.sp 3
.pp
Please write your name at the top of this page, answer each question
on a separate sheet of paper, and write the code letter found at the
top of this page on each page you turn in.
.sp 2
.ip 1.
Define the following classes:
.(l
.(b
regular sets
\fINP\fR
context free languages
recursive sets
.)b
.)l
What are the relationships between them?  For classes which are
not the same, present a set which is a witness to their relationship.
[That is, a set in one but not the other.]  What are the time
and space requirements for recognition of their members?
.sp 2
.ip 2.
For one of the sets presented in the first problem:
.(l
a) Show that is indeed in the appropriate class.
b) Prove that it is not in the other class.
.)l
.sp 2
.ip 3.
Describe the maximum flow problem for directed graphs.  Provide
an algorithm for this.  Describe the implementation.  Derive the
complexity and present an intuitive correctness argument.
.sp 2
.ip 4.
Given a collection of keys and a target key, develop an algorithm
which will determine how many items in the collection are smaller
than the target key.
Be sure to define the data structure used
to store the collection.
What method would you use to arrange the collection in this manner?
What are the complexities for the algorithm and the arrangement method?
[Note that minimal complexity is \fIvery\fR important.]
