.\" needs eqn, tbl
.if n .ll 79
.sz 12
.nr pp 12
.he 'Systems Depth Exam'Page % of 2'August 1995'
.ce 100
.sz 20
Systems Exam: Depth

.sz 12
.ce 0
.lp
This test is \fBclosed book\fP.
Do all questions.
.ig xx
.EQ
delim @@
gfont C
gsize 12
.EN
.xx
.sh 1 "Operating Systems"
.br
(a)
What are the problems that arise when a uniprocessor operating system is
modified to work on a shared-memory multiprocessor?
Discuss approaches to solving these problems.
.br
(b)
Some new operating systems support a
.q "stackable"
file system.  The
basic idea behind a stackable file system is the ability and freedom to
create your own file system by stacking
.q "file system modules"
on top of each other.  For example, you could create a compressed unix file
system by stacking the following modules:
.(l
unix file system interface module
compression module
ufs data layout module
disk storage module
.)l
The layering need not be strict.  For example, the
compression module may only work on file data, not file status
information.  Consequently, file status requests would bypass the
compression layer.
.pp
Assume you are asked to design a stackable file system for a
microkernel operating system.
.np
List the most important issues (4\(en5 issues) that you think
must be addressed in the design of such a system 
.np
Describe how you would address each of these issues.
.np
List several (8\(en10) useful modules that you would ask
your company's product development group to write.
.lp
Hints:
You may want to consider caching,
network file access, (bidirectional) interaction between
modules, security, shared access, consistency, and performance.
.sh 1 "Networks"
.pp
Consider the problem of providing guaranteed service for real-time
multicast channels.  There are at least two approaches to solving this
problem, namely,
.q "sender-initiated"
and
.q "receiver-initiated."
Under the sender-initiated approach, channel establishment and negotiation
with the network is handled and initiated by the sender, whereas the
receiver-initiated approach involves active participation of the receivers in a
multicast group.
.br
(a)
State an example of each one of the approaches.
.br
(b)
For each example, outline with relevant details the procedure(s) for channel
establishment, admission control, path/channel sharing, congestion/flow control
(if applicable), and packet filtering/scheduling (if applicable).
