.nr pp 14
.po +0.5i
.ce 3
.sz 16
\fITHEORY AND ALGORITHMS\fR
.sz 14
Foundational Examination - Autumn 1990
.sp 4
.pp
Please write your name at the top of this page, answer each question
on a separate sheet of paper, and write the code letter found at the
top of this page on each page you turn in.
.sp 2
.ip 1.
Define the following classes:
.(l
.(b
\fINP\fR
context free languages
recursively enumerable sets
.)b
.)l
What are the relationships between them?  For classes which are
not the same, present a set which is a witness to their relationship.
[That is, a set in one but not the other.]
.sp 2
.ip 2.
For one of the sets presented in the first problem:
.(l
a) Show that is indeed in the appropriate class.
b) Prove that it is not in the other class.
.)l
.sp 2
.ip 3.
Define breadth first search for undirected graphs.  Describe an
algorithm for this.  Why is this algorithm guaranteed to traverse
graphs in a breadth first manner?  Derive the complexity for the
algorithm.
.sp 2
.ip 4.
Given a collection of keys and a target key, develop an algorithm
which will determine how many items in the collection are smaller
than the target key.  Be sure to define the data structure used
to store the collection.  What is the complexity for the algorithm?  [Note
that minimal complexity is \fIvery\fR important.]
