#!/usr/local/bin/perl

# See if ftp directories are sane
#  Copyright (c) 1999 Raphael Finkel.  See the COPYRIGHT file for details.

# bad: a world-writable directory in a world-readable place.

$ENV{'PATH'} = "/usr/local/bin:/usr/local/gnu/bin:/usr/ucb:/bin:/usr/bin:" .
	"/usr/sbin:/sbin:/usr/bsd:/usr/local/X11R6/bin:/usr/etc";

# close STDERR; # don't want to see errors from find.
$ftpHome = glob('~ftp');
if (!defined($ftpHome)) {
	print "No ftp user on this machine.\n";
	exit 0;
}

$Command = "find $ftpHome -follow -perm -o+w -type d -print";

if ($> == 0) { # too powerful.  Want to be "nobody".
	$uid = getpwnam('nobody');
	# print "Becoming nobody: $uid\n";
	$> = $uid; # nobody
}

# print "about to run $Command\n";
$situation = `$Command`;
$situation =~ s/[;"\\`\$\&'\|]//g; # paranoia: remove shell-known chars
$situation =~ /^(.*)$/; # untaint
$situation = $1;

# print "Situation is\n$situation\n";
if ($situation eq "") {
	print "No visible world-writable directories.\n";
	system("./report security `hostname`:ftp 1 \"No visible world-writable directories.\"")
} else {
	print "Visible world-writable directories:\n$situation";
	system("./report security `hostname`:ftp 20 \"Visible world-writable directories:\n" .
		"$situation\" ");
}

