#include "gremlin.h"
#include "grem2.h"
#include "decls.h"


extern char *TypeStrings[];

PrintPoints(plist)
POINT *plist;
{
	POINT *pptr;
	forpoint(pptr, plist) {
		printf("[%d, %d] ", (int) pptr->x, (int) pptr->y);
	}
	printf("[%d, %d] ", (int) pptr->x, (int) pptr->y);
} /* PrintPoints */

DebugPrint(){
	ELT **eptr;
	POINT *pptr;
	int count;
	fordb(eptr, PICTURE){
		printf("%s brush %d points ", TypeStrings[(*eptr)->type],
			(*eptr)->brushf);
		PrintPoints((*eptr)->ptlist);
		if (DBInSet(*eptr, cset))
			printf("[In] ");
	}
	printf("| pl "); PrintPoints(POINTLIST);
	printf("| bp "); PrintPoints(BACKPOINT);
	printf("\n");
} /* debugprint */

/* There appears to be a free/alloc bug, at least on DEC Alphas. */
#ifdef __alpha__
void free() {
	return;
}
#endif
