/*
 *  Gremlin for the X window package.  Hacked from the aed gremlin.
 *  
 *  Copyright 1986 Dick Leban, University of Wisconsin Computer Systems Lab
 *  1210 West Dayton, Madison WI, 53706
 *  
 *  Permission is hearby granted to distribute this program provided that:
 *    (*) no commerical advantage is gained
 *    (*) the recipient has a gremlin license
 *    (*) this copyright notice appears on all copies
 *    (*) "On Wisconsin" sung in its entirety while the software
 *        is being copied to the distribution media.
 *  
 *        Here's the words, you'll have to find the tune if you're
 *        an uncultured slug.
 *  
 *           On Wisconsin, On Wisconsin,
 *           Plunge right through that line!
 *           Run the ball clear down the field boys,
 *           Touchdown sure this time (u-rah-rah)
 *           On Wisconsin, On Wisconsin,
 *           Fight on for her fame!
 *           Fight fellows fight-fight-fight 
 *           we'll win this game!
 *  
 *  Copyright -C- 1982 Barry S. Roitblat
 */

#include "gremlin.h"
#include "decls.h"
#ifndef lint
	static char *rcsid="$Header: graphics3.c,v 2.2 88/08/12 13:37:14 solomon Stab $";
#endif lint

XPoint vlist[MAXPOINTS];

GRDisplayGrid()
{
	GRDoGrid(0);
}  /* GRDisplayGrid */

GRBlankGrid()
{
	GRDoGrid(1);
}  /* GRBlankGrid */

GRDoGrid(color)
int color; /* 0 is on, 1 is off */
{
	Pixmap MyTile;
	char *Data;
	char *calloc();

	Data = calloc((unsigned) (((CGRID+7)/8)*(CGRID+7)), 1);
	if (!color) *Data |= 01;
	MyTile = XCreatePixmapFromBitmapData(
		MyDisplay, WindowList[WIN_DRAW],  /* display, drawable */
		Data, CGRID, CGRID,               /* data, width, height */
		Foreground, Background,           /* foreground, background */
		DefaultDepth(MyDisplay, DefaultScreen(MyDisplay))); /* depth */
	free(Data);
	XSetWindowBackgroundPixmap(MyDisplay, WindowList[WIN_DRAW], MyTile);
	SHUpdate();
} /* GRDoGrid */
