#!/usr/local/bin/tclsh

# See if root has any mail
#  Copyright (c) 1996, 1998 Raphael Finkel.  See the COPYRIGHT file for details.

source unix.tcl

set myHost [info hostname]
while {[file rootname $myHost]!=$myHost} {
	set myHost [file rootname $myHost]
}

set mailLength [file size [exec ./enumerate.tcl mailDir]/root]
#puts $mailLength
report rootMail $myHost [expr 1+$mailLength] \
	"$mailLength bytes of unread root mail on [info hostname]"

exit 0
