#!/bin/csh -f

# usage: runat.csh monitor machine ...

set TYPE=`uname -s`

if ($TYPE == Linux) then
	set FILLER="-c 1 $1"
else
	set FILLER="$1 1"
endif

set monitor=$1
shift
while ( x$1 != x )
	# ping $FILLER >& /dev/null
	echo ping $FILLER
	if ( $status == 0 ) then
		set result=`telnet $1 13 < /dev/null |& grep refused` # or use 11, 37
		if ( "x$result" == x ) then
			echo running at $1
			# rsh $1 "cd projects/pulsar; $monitor"
			ssh $1 "cd projects/pulsar; $monitor" &
		else
			echo $1 is alive but not running Unix
		endif
	else
		echo $1 is dead
	endif
	shift
end

