#!/bin/csh -f

# usage: runat.csh monitor machine ...

# set DIR to the directory in which pulsar is installed.
set DIR=/u/al-d1/pulsar

set TYPE=`uname -s`


set monitor="$1"
shift
echo starting with $1
while ( x$1 != x )
	if ($TYPE == Linux) then
		set FILLER="-w 1 -c 1 $1"
	else
		set FILLER="$1 1"
	endif
	echo ping $FILLER
	ping $FILLER >& /dev/null
	if ( $status == 0 ) then
		set result=`telnet $1 13 < /dev/null |& grep refused` # or use 11, 37
		if ( "x$result" == x ) then
			echo running at $1
			# rsh $1 "cd $DIR; $monitor"
			ssh $1 "cd $DIR; $monitor" &
		else
			echo $1 is alive but not running Unix
		endif
	else
		echo $1 is dead
	endif
	shift
end

