/*
 *
 * FILE : default.h - definition of structures suppoting reasoning
 *
 * programmer - Pawel Cholewinski
 *
 * date 12/28/92
 * modified 19 Apr 1999 by Neil Moore <neil@cs.uky.edu>
 *
 * Part of sDeReS.  See COPYRIGHT for copyright information.
 *
 */

#define MAXDSIZE   1024*64
#define MAXWSIZE   1024
#define DTSIZE 4096*64*8

extern int w[MAXWSIZE];
extern int preq[MAXDSIZE];
extern int just[MAXDSIZE];
extern int conc[MAXDSIZE];
extern int d[MAXDSIZE];
extern int ad[MAXDSIZE];

extern int  dttable[DTSIZE];
extern int wno, dno,  wbegin, wend, dbegin, dend;

extern int extlimit;

extern int Order[MAXDSIZE];
extern int Segment[MAXDSIZE];
extern int GenDef[MAXDSIZE];
extern int Cextnsn[MAXDSIZE];
extern int Textnsn[MAXDSIZE];
extern int Reduct[MAXDSIZE];
extern int Used[MAXDSIZE];

extern int dffno, pbegin, pend;

extern char *defatomlex[2*MAXDSIZE];
extern int deffacts[2*MAXDSIZE];
extern int n_strat;
extern int stratum[MAXDSIZE];
