# set up Unix conventions

# IRIX needs /usr/bsd, /usr/etc
# SunOS needs /usr/ucb
set env(PATH) /usr/local/bin:/usr/local/gnu/bin:/usr/ucb:/bin:/usr/bin:/usr/sbin:/sbin:/usr/bsd:/usr/local/X11R6/bin:/usr/etc:.


proc report {major minor badness message} {
	global confLine passString
	if {! [info exists confLine]} { ;# discover presenter, port
		set confFile [open "presenter.conf" r]
		gets $confFile confLine
		close $confFile
		set passFile [open "presenter.pass" r]
		gets $passFile passString
		close $passFile
	}
	regsub -all {"} $message {'} message
	set clientSock [socket [lindex $confLine 0] [lindex $confLine 1]]
	puts $clientSock $passString
	puts $clientSock "$major $minor $badness \"$message\""
	close $clientSock
}
