# @(#)yaccpar 1.8 (Berkeley) 01/20/91 (JAKE-P5BP-0.6 04/26/98)
package puzzles;
#line 2 "parse.y"
#line 4 "y.code.pl"
$DECLARE=257;
$STRING=258;
$NUM=259;
$TERMINATOR=260;
$COMMA=261;
$COLON=262;
$VAR=263;
$ERROR=264;
$PASS=265;
$PERIOD=266;
$IMPLIES=267;
$REQUIRED=268;
$BINOP=269;
$MATCH=270;
$NONEMPTY=271;
$USED=272;
$AGREE=273;
$CONFLICT=274;
$DIFFER=275;
$OFFSET=276;
$COMMENT=277;
$LESSEQ=278;
$SAME=279;
$BEFORE=280;
$NOT=281;
$EQUALS=282;
$SET=283;
$LEFTP=284;
$RIGHTP=285;
$MAP=286;
$OFFSETP=287;
$ONTO=288;
$NONREFLEXIVE=289;
$ASYMMETRIC=290;
$AGGREGATE=291;
$SYMMETRIC=292;
$UNIQUE=293;
$SUM=294;
$PRODUCT=295;
$DIFF=296;
$GREATEQ=297;
$GREAT=298;
$POWERCLASS=299;
$SIZE=300;
$BIGGER=301;
$OR=302;
$AND=303;
$PREFER=304;
$YYERRCODE=256;
$YYTABLESIZE=284;
$YYFINAL=1;
#ifndef YYDEBUG
#define YYDEBUG 0
#endif
$YYMAXTOKEN=304;
sub yyclearin {
  my  $p;
  ($p) = @_;
  $p->{yychar} = -1;
}
sub yyerrok {
  my  $p;
  ($p) = @_;
  $p->{yyerrflag} = 0;
}
sub new {
  my $p = bless {}, $_[0];
  $p->{yylex} = $_[1];
  $p->{yyerror} = $_[2];
  $p->{yydebug} = $_[3];
  return $p;
}
sub YYERROR {
  my  $p;
  ($p) = @_;
  ++$p->{yynerrs};
  $p->yy_err_recover;
}
sub yy_err_recover {
  my  $p;
  ($p) = @_;
  if ($p->{yyerrflag} < 3)
  {
    $p->{yyerrflag} = 3;
    while (1)
    {
      if (($p->{yyn} = $yysindex[$p->{yyss}->[$p->{yyssp}]]) && 
          ($p->{yyn} += $YYERRCODE) >= 0 && 
          $p->{yyn} <= $#yycheck &&
          $yycheck[$p->{yyn}] == $YYERRCODE)
      {
        warn("yydebug: state " . 
                     $p->{yyss}->[$p->{yyssp}] . 
                     ", error recovery shifting to state" . 
                     $yytable[$p->{yyn}] . "\n") 
                       if $p->{yydebug};
        $p->{yyss}->[++$p->{yyssp}] = 
          $p->{yystate} = $yytable[$p->{yyn}];
        $p->{yyvs}->[++$p->{yyvsp}] = $p->{yylval};
        next yyloop;
      }
      else
      {
        warn("yydebug: error recovery discarding state ".
              $p->{yyss}->[$p->{yyssp}]. "\n") 
                if $p->{yydebug};
        return(undef) if $p->{yyssp} <= 0;
        --$p->{yyssp};
        --$p->{yyvsp};
      }
    }
  }
  else
  {
    return (undef) if $p->{yychar} == 0;
    if ($p->{yydebug})
    {
      $p->{yys} = '';
      if ($p->{yychar} <= $YYMAXTOKEN) { $p->{yys} = 
        $yyname[$p->{yychar}]; }
      if (!$p->{yys}) { $p->{yys} = 'illegal-symbol'; }
      warn("yydebug: state " . $p->{yystate} . 
                   ", error recovery discards " . 
                   "token " . $p->{yychar} . "(" . 
                   $p->{yys} . ")\n");
    }
    $p->{yychar} = -1;
    next yyloop;
  }
0;
} # yy_err_recover

sub yyparse {
  my  $p;
  my $s;
  ($p, $s) = @_;
  if ($p->{yys} = $ENV{'YYDEBUG'})
  {
    $p->{yydebug} = int($1) if $p->{yys} =~ /^(\d)/;
  }

  $p->{yynerrs} = 0;
  $p->{yyerrflag} = 0;
  $p->{yychar} = (-1);

  $p->{yyssp} = 0;
  $p->{yyvsp} = 0;
  $p->{yyss}->[$p->{yyssp}] = $p->{yystate} = 0;

yyloop: while(1)
  {
    yyreduce: {
      last yyreduce if ($p->{yyn} = $yydefred[$p->{yystate}]);
      if ($p->{yychar} < 0)
      {
        if ((($p->{yychar}, $p->{yylval}) = 
            &{$p->{yylex}}($s)) < 0) { $p->{yychar} = 0; }
        if ($p->{yydebug})
        {
          $p->{yys} = '';
          if ($p->{yychar} <= $#yyname) 
             { $p->{yys} = $yyname[$p->{yychar}]; }
          if (!$p->{yys}) { $p->{yys} = 'illegal-symbol'; };
          warn("yydebug: state " . $p->{yystate} . 
                       ", reading " . $p->{yychar} . " (" . 
                       $p->{yys} . ")\n");
        }
      }
      if (($p->{yyn} = $yysindex[$p->{yystate}]) && 
          ($p->{yyn} += $p->{yychar}) >= 0 && 
          $p->{yyn} <= $#yycheck &&
          $yycheck[$p->{yyn}] == $p->{yychar})
      {
        warn("yydebug: state " . $p->{yystate} . 
                     ", shifting to state " .
              $yytable[$p->{yyn}] . "\n") if $p->{yydebug};
        $p->{yyss}->[++$p->{yyssp}] = $p->{yystate} = 
          $yytable[$p->{yyn}];
        $p->{yyvs}->[++$p->{yyvsp}] = $p->{yylval};
        $p->{yychar} = (-1);
        --$p->{yyerrflag} if $p->{yyerrflag} > 0;
        next yyloop;
      }
      if (($p->{yyn} = $yyrindex[$p->{yystate}]) && 
          ($p->{yyn} += $p->{'yychar'}) >= 0 &&
          $p->{yyn} <= $#yycheck &&
          $yycheck[$p->{yyn}] == $p->{yychar})
      {
        $p->{yyn} = $yytable[$p->{yyn}];
        last yyreduce;
      }
      if (! $p->{yyerrflag}) {
        &{$p->{yyerror}}('syntax error', $s);
        ++$p->{yynerrs};
      }
      return(undef) if $p->yy_err_recover;
    } # yyreduce
    warn("yydebug: state " . $p->{yystate} . 
                 ", reducing by rule " . 
                 $p->{yyn} . " (" . $yyrule[$p->{yyn}] . 
                 ")\n") if $p->{yydebug};
    $p->{yym} = $yylen[$p->{yyn}];
    $p->{yyval} = $p->{yyvs}->[$p->{yyvsp}+1-$p->{yym}];
if ($p->{yyn} == 1) {
#line 15 "parse.y"
{ $p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-0]; }
}
if ($p->{yyn} == 2) {
#line 18 "parse.y"
{ $p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-0]; }
}
if ($p->{yyn} == 3) {
#line 20 "parse.y"
{ $p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-3]." .. ".$p->{yyvs}->[$p->{yyvsp}-0]; }
}
if ($p->{yyn} == 4) {
#line 21 "parse.y"
{ $p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-0]; }
}
if ($p->{yyn} == 5) {
#line 24 "parse.y"
{ $p->{yyval} = " "; }
}
if ($p->{yyn} == 6) {
#line 25 "parse.y"
{ $p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-1]." ".$p->{yyvs}->[$p->{yyvsp}-0]; }
}
if ($p->{yyn} == 7) {
#line 27 "parse.y"
{
				if(defined($p->{yyvs}->[$p->{yyvsp}-0])) {
					$p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-1]." ".$p->{yyvs}->[$p->{yyvsp}-0] ;
				} else {
					$p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-1]; 
				}
			}
}
if ($p->{yyn} == 8) {
#line 36 "parse.y"
{ $p->{yyval} = handleMember($p->{yyvs}->[$p->{yyvsp}-0]); }
}
if ($p->{yyn} == 9) {
#line 37 "parse.y"
{ $p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-0]; }
}
if ($p->{yyn} == 10) {
#line 38 "parse.y"
{ $p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-0]; }
}
if ($p->{yyn} == 11) {
#line 39 "parse.y"
{ $p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-0]; }
}
if ($p->{yyn} == 12) {
#line 40 "parse.y"
{ $p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-0]; }
}
if ($p->{yyn} == 13) {
#line 43 "parse.y"
{ $p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-0]; }
}
if ($p->{yyn} == 14) {
#line 44 "parse.y"
{ $p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-0]; }
}
if ($p->{yyn} == 15) {
#line 48 "parse.y"
{
                        $p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-2]."|".$p->{yyvs}->[$p->{yyvsp}-0];
                }
}
if ($p->{yyn} == 16) {
#line 54 "parse.y"
{
                         $p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-2]."^".$p->{yyvs}->[$p->{yyvsp}-0];
                }
}
if ($p->{yyn} == 17) {
#line 60 "parse.y"
{
                        my $comment = join(' ', $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]);
			$predicates = removeConnector($p->{yyvs}->[$p->{yyvsp}-1]);
                        $p->{yyval} = handleBorBrace($comment, $predicates);
		}
}
if ($p->{yyn} == 18) {
#line 65 "parse.y"
{ $p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-1]; }
}
if ($p->{yyn} == 19) {
#line 69 "parse.y"
{
			my $comment = join(' ', $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]);
			$predicates = removeConnector($p->{yyvs}->[$p->{yyvsp}-1]);
			$p->{yyval} = handleBandBrace($comment, $predicates);
		}
}
if ($p->{yyn} == 20) {
#line 74 "parse.y"
{ $p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-1]; }
}
if ($p->{yyn} == 21) {
#line 78 "parse.y"
{ $p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-0]; }
}
if ($p->{yyn} == 22) {
#line 79 "parse.y"
{ $p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-0]; }
}
if ($p->{yyn} == 23) {
#line 80 "parse.y"
{ $p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-0]; }
}
if ($p->{yyn} == 24) {
#line 81 "parse.y"
{ $p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-0]; }
}
if ($p->{yyn} == 25) {
#line 82 "parse.y"
{ $p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-0]; }
}
if ($p->{yyn} == 26) {
#line 83 "parse.y"
{$p->{yyval} = join("", ($p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));}
}
if ($p->{yyn} == 27) {
#line 84 "parse.y"
{ $p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-0]; }
}
if ($p->{yyn} == 29) {
#line 89 "parse.y"
{
				$p->{yyval} = join(" ",($p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
			}
}
if ($p->{yyn} == 30) {
#line 93 "parse.y"
{
				my $var = handleFunction($p->{yyvs}->[$p->{yyvsp}-1]);
				$p->{yyval} = join(" ", ($p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], $var, $p->{yyvs}->[$p->{yyvsp}-0]));
			}
}
if ($p->{yyn} == 31) {
#line 98 "parse.y"
{$p->{yyval}= "";}
}
if ($p->{yyn} == 32) {
#line 100 "parse.y"
{
				if(defined($p->{yyvs}->[$p->{yyvsp}-0])){
					$p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-1]." ".$p->{yyvs}->[$p->{yyvsp}-0];
				} else {
					$p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-1];
				}
			}
}
if ($p->{yyn} == 33) {
#line 108 "parse.y"
{
				if(defined($p->{yyvs}->[$p->{yyvsp}-0])){
					$p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-1]." ".$p->{yyvs}->[$p->{yyvsp}-0];
				} else {
					$p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-1];
				}
			}
}
if ($p->{yyn} == 34) {
#line 116 "parse.y"
{
				if(defined($p->{yyvs}->[$p->{yyvsp}-0])){
					$p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-1]." ".$p->{yyvs}->[$p->{yyvsp}-0];
				} else {
					$p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-1];
				}
			}
}
if ($p->{yyn} == 35) {
#line 124 "parse.y"
{
				if(defined($p->{yyvs}->[$p->{yyvsp}-0])){
					$p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-1]." ".$p->{yyvs}->[$p->{yyvsp}-0];
				} else {
					$p->{yyval} = $p->{yyvs}->[$p->{yyvsp}-1];
				}
			}
}
if ($p->{yyn} == 37) {
#line 135 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				handleMapDeclaration($p->{yyval}, $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]);
			}
}
if ($p->{yyn} == 38) {
#line 140 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				my ($name, undef, $var, undef)  = split(' ',$p->{yyvs}->[$p->{yyvsp}-0]);
				handleAssignment($p->{yyval}, $name, $var, "=", $p->{yyvs}->[$p->{yyvsp}-2]);
			}
}
if ($p->{yyn} == 39) {
#line 146 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				my ($name, undef, $var, undef)  = split(' ',$p->{yyvs}->[$p->{yyvsp}-2]);
				handleAssignment($p->{yyval}, $name, $var, "=", $p->{yyvs}->[$p->{yyvsp}-0]);
			}
}
if ($p->{yyn} == 40) {
#line 152 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-4], $p->{yyvs}->[$p->{yyvsp}-3], "!=", $p->{yyvs}->[$p->{yyvsp}-0]));
				my ($name, undef, $var, undef)  = split(' ',$p->{yyvs}->[$p->{yyvsp}-3]);
				handleAssignment($p->{yyval}, $name, $var, "!=", $p->{yyvs}->[$p->{yyvsp}-0]);
			}
}
if ($p->{yyn} == 41) {
#line 158 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-4], $p->{yyvs}->[$p->{yyvsp}-3], "!=", $p->{yyvs}->[$p->{yyvsp}-0]));
				my ($name, undef, $var, undef)  = split(' ',$p->{yyvs}->[$p->{yyvsp}-0]);
				handleAssignment($p->{yyval}, $name, $var, "!=", $p->{yyvs}->[$p->{yyvsp}-3]);
			}
}
if ($p->{yyn} == 42) {
#line 164 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				my ($name1, undef, $var1, undef) = split(' ',$p->{yyvs}->[$p->{yyvsp}-2]);
				my ($name2, undef, $var2, undef) = split(' ',$p->{yyvs}->[$p->{yyvsp}-0]);
				handleMap($p->{yyval}, $name1, $var1, '=', $name2, $var2);
			}
}
if ($p->{yyn} == 43) {
#line 171 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-4], $p->{yyvs}->[$p->{yyvsp}-3], "!=", $p->{yyvs}->[$p->{yyvsp}-0]));
				my ($name1, undef, $var1, undef) = split(' ',$p->{yyvs}->[$p->{yyvsp}-3]);
				my ($name2, undef, $var2, undef) = split(' ',$p->{yyvs}->[$p->{yyvsp}-0]);
				handleMap($p->{yyval}, $name1, $var1, "!=", $name2, $var2);
			}
}
if ($p->{yyn} == 44) {
#line 178 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				handleRequired($p->{yyval}, $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-0]);
			}
}
if ($p->{yyn} == 45) {
#line 183 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-4], $p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				handleConflict($p->{yyval}, join(" ", ($p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-0])));
			}
}
if ($p->{yyn} == 46) {
#line 188 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-5], $p->{yyvs}->[$p->{yyvsp}-4], $p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], "=", $p->{yyvs}->[$p->{yyvsp}-0]));
				my ($name1, undef, $var1, undef) = split(' ',$p->{yyvs}->[$p->{yyvsp}-4]);
				my ($name3, undef, $var3, undef) = split(' ',$p->{yyvs}->[$p->{yyvsp}-0]);
				handleMapOffset($p->{yyval},"0",$name1,$var1,$p->{yyvs}->[$p->{yyvsp}-3],$p->{yyvs}->[$p->{yyvsp}-2],$name3,$var3);
			}
}
if ($p->{yyn} == 47) {
#line 195 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-6], $p->{yyvs}->[$p->{yyvsp}-5], $p->{yyvs}->[$p->{yyvsp}-4], $p->{yyvs}->[$p->{yyvsp}-3], "!=", $p->{yyvs}->[$p->{yyvsp}-0]));
				my ($name1, undef, $var1, undef) = split(' ',$p->{yyvs}->[$p->{yyvsp}-5]);
				my ($name3, undef, $var3, undef) = split(' ',$p->{yyvs}->[$p->{yyvsp}-0]);
				handleMapOffset($p->{yyval},"0",$name1,$var1,"!",$p->{yyvs}->[$p->{yyvsp}-3],$name3,$var3);
			}
}
if ($p->{yyn} == 48) {
#line 202 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-5], $p->{yyvs}->[$p->{yyvsp}-4], $p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], ">", $p->{yyvs}->[$p->{yyvsp}-0]));
				my ($name1, undef, $var1, undef) = split(' ',$p->{yyvs}->[$p->{yyvsp}-4]);
				my ($name3, undef, $var3, undef) = split(' ',$p->{yyvs}->[$p->{yyvsp}-0]);
				handleMapOffset($p->{yyval},"0",$name1,$var1,">",$p->{yyvs}->[$p->{yyvsp}-2],$name3,$var3);
			}
}
if ($p->{yyn} == 49) {
#line 209 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-5], $p->{yyvs}->[$p->{yyvsp}-4], $p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], ">=", $p->{yyvs}->[$p->{yyvsp}-0]));
				my ($name1, undef, $var1, undef) = split(' ',$p->{yyvs}->[$p->{yyvsp}-4]);
				my ($name3, undef, $var3, undef) = split(' ',$p->{yyvs}->[$p->{yyvsp}-0]);
				handleMapOffset($p->{yyval},"0",$name1,$var1,">=",$p->{yyvs}->[$p->{yyvsp}-2],$name3,$var3);
			}
}
if ($p->{yyn} == 50) {
#line 216 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-5], $p->{yyvs}->[$p->{yyvsp}-4], $p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], "=", $p->{yyvs}->[$p->{yyvsp}-0]));
				my ($name1, undef, $var1, undef) = split(' ',$p->{yyvs}->[$p->{yyvsp}-4]);
				my ($name3, undef, $var3, undef) = split(' ',$p->{yyvs}->[$p->{yyvsp}-0]);
				handleMapOffset($p->{yyval},"0",$name1,$var1,$p->{yyvs}->[$p->{yyvsp}-3],$p->{yyvs}->[$p->{yyvsp}-2],$name3,$var3);
			}
}
if ($p->{yyn} == 51) {
#line 223 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				handleDifferMap($p->{yyval}, $p->{yyvs}->[$p->{yyvsp}-0]);
			}
}
if ($p->{yyn} == 52) {
#line 228 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-8], $p->{yyvs}->[$p->{yyvsp}-7], $p->{yyvs}->[$p->{yyvsp}-6], $p->{yyvs}->[$p->{yyvsp}-5], $p->{yyvs}->[$p->{yyvsp}-4], $p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				handleDeclaration($p->{yyval}, "POWERCLASS", $p->{yyvs}->[$p->{yyvsp}-7], $p->{yyvs}->[$p->{yyvsp}-0], join(' ',($p->{yyvs}->[$p->{yyvsp}-5],$p->{yyvs}->[$p->{yyvsp}-3])));	
			}
}
if ($p->{yyn} == 53) {
#line 233 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				handleRequiredIn($p->{yyval}, $p->{yyvs}->[$p->{yyvsp}-0], $p->{yyvs}->[$p->{yyvsp}-1]);
			}
}
if ($p->{yyn} == 54) {
#line 238 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-4], $p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				handleSize($p->{yyval}, $p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]);
			}
}
if ($p->{yyn} == 55) {
#line 243 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-4], $p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				# handleSizeBigger($$, $2, $4, $5);
				print STDERR "I see BIGGER\n";
			}
}
if ($p->{yyn} == 56) {
#line 251 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				handleDeclaration($p->{yyval}, $p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-0]);	
			}
}
if ($p->{yyn} == 57) {
#line 256 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				handleVar($p->{yyval}, $p->{yyvs}->[$p->{yyvsp}-0]);
			}
}
if ($p->{yyn} == 58) {
#line 261 "parse.y"
{
				handlePass($p->{yyvs}->[$p->{yyvsp}-0]);
			}
}
if ($p->{yyn} == 59) {
#line 265 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				handleRequired($p->{yyval}, $p->{yyvs}->[$p->{yyvsp}-0]);
			}
}
if ($p->{yyn} == 60) {
#line 270 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-5], $p->{yyvs}->[$p->{yyvsp}-4], $p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				handleRequiredOp($p->{yyval}, $p->{yyvs}->[$p->{yyvsp}-4], $p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]);
			}
}
if ($p->{yyn} == 61) {
#line 275 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				handleConflict($p->{yyval}, $p->{yyvs}->[$p->{yyvsp}-0]);
			}
}
if ($p->{yyn} == 62) {
#line 280 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				handleAgree($p->{yyval}, $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-0]);
			}
}
if ($p->{yyn} == 63) {
#line 285 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				handleUsed($p->{yyval}, $p->{yyvs}->[$p->{yyvsp}-0]);
			}
}
if ($p->{yyn} == 64) {
#line 290 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				handleUsed($p->{yyval}, $p->{yyvs}->[$p->{yyvsp}-2], 999, $p->{yyvs}->[$p->{yyvsp}-0]);
			}
}
if ($p->{yyn} == 65) {
#line 295 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-5], $p->{yyvs}->[$p->{yyvsp}-4], $p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				handleUsedOp($p->{yyval}, $p->{yyvs}->[$p->{yyvsp}-4], $p->{yyvs}->[$p->{yyvsp}-0], $p->{yyvs}->[$p->{yyvsp}-2]);
			}
}
if ($p->{yyn} == 66) {
#line 300 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				handleUsed($p->{yyval}, $p->{yyvs}->[$p->{yyvsp}-0]);
			}
}
if ($p->{yyn} == 67) {
#line 305 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				handleMatch($p->{yyval}, $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-0]);
			}
}
if ($p->{yyn} == 68) {
#line 310 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-4], $p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				handleBefore($p->{yyval}, $p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]) ;
			}
}
if ($p->{yyn} == 69) {
#line 315 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				handleDiffer($p->{yyval}, $p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-0]);
			}
}
if ($p->{yyn} == 70) {
#line 320 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
					handleSame($p->{yyval}, $p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-0]);
			}
}
if ($p->{yyn} == 71) {
#line 325 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-6], $p->{yyvs}->[$p->{yyvsp}-5], $p->{yyvs}->[$p->{yyvsp}-4], $p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				handleOffset($p->{yyval}, $p->{yyvs}->[$p->{yyvsp}-5], $p->{yyvs}->[$p->{yyvsp}-4], $p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]);
			}
}
if ($p->{yyn} == 72) {
#line 330 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-5], $p->{yyvs}->[$p->{yyvsp}-4], $p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				handleOffset($p->{yyval}, "+", $p->{yyvs}->[$p->{yyvsp}-4], $p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]);
			}
}
if ($p->{yyn} == 73) {
#line 335 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-6], $p->{yyvs}->[$p->{yyvsp}-5], $p->{yyvs}->[$p->{yyvsp}-4], $p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				handleOffsetPair($p->{yyval}, "+", $p->{yyvs}->[$p->{yyvsp}-5], $p->{yyvs}->[$p->{yyvsp}-4], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-0]);
			}
}
if ($p->{yyn} == 74) {
#line 340 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				handleAggregate($p->{yyval}, $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]);
			}
}
if ($p->{yyn} == 75) {
#line 345 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				handleAggregate($p->{yyval}, $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]);
			}
}
if ($p->{yyn} == 76) {
#line 350 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				handleUnique($p->{yyval}, $p->{yyvs}->[$p->{yyvsp}-0]);
			}
}
if ($p->{yyn} == 77) {
#line 355 "parse.y"
{
				$p->{yyval} = join(' ', ($p->{yyvs}->[$p->{yyvsp}-4], $p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-2], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]));
				handlePrefer($p->{yyval}, $p->{yyvs}->[$p->{yyvsp}-3], $p->{yyvs}->[$p->{yyvsp}-1], $p->{yyvs}->[$p->{yyvsp}-0]);
			}
}
if ($p->{yyn} == 79) {
#line 363 "parse.y"
{ 
				# print STDERR "% Parsed => ", $1, "\n"; 
			}
}
if ($p->{yyn} == 80) {
#line 367 "parse.y"
{ 
				# print STDERR "% Parsed => ", $1, "\n"; 
			}
}
if ($p->{yyn} == 81) {
#line 371 "parse.y"
{ 
				#print "Parsed => ", $1, "\n"; 
			}
}
if ($p->{yyn} == 82) {
#line 375 "parse.y"
{ 
				#print "Parsed => ", $1, "\n"; 
			}
}
if ($p->{yyn} == 84) {
#line 380 "parse.y"
{ yyerror($p->{yyvs}->[$p->{yyvsp}-0]); }
}
#line 722 "y.code.pl"
    $p->{yyssp} -= $p->{yym};
    $p->{yystate} = $p->{yyss}->[$p->{yyssp}];
    $p->{yyvsp} -= $p->{yym};
    $p->{yym} = $yylhs[$p->{yyn}];
    if ($p->{yystate} == 0 && $p->{yym} == 0)
    {
      warn("yydebug: after reduction, shifting from state 0 ",
            "to state $YYFINAL\n") if $p->{yydebug};
      $p->{yystate} = $YYFINAL;
      $p->{yyss}->[++$p->{yyssp}] = $YYFINAL;
      $p->{yyvs}->[++$p->{yyvsp}] = $p->{yyval};
      if ($p->{yychar} < 0)
      {
        if ((($p->{yychar}, $p->{yylval}) = 
            &{$p->{yylex}}($s)) < 0) { $p->{yychar} = 0; }
        if ($p->{yydebug})
        {
          $p->{yys} = '';
          if ($p->{yychar} <= $#yyname) 
            { $p->{yys} = $yyname[$p->{yychar}]; }
          if (!$p->{yys}) { $p->{yys} = 'illegal-symbol'; }
          warn("yydebug: state $YYFINAL, reading " . 
               $p->{yychar} . " (" . $p->{yys} . ")\n");
        }
      }
      return ($p->{yyvs}->[1]) if $p->{yychar} == 0;
      next yyloop;
    }
    if (($p->{yyn} = $yygindex[$p->{yym}]) && 
        ($p->{yyn} += $p->{yystate}) >= 0 && 
        $p->{yyn} <= $#yycheck && 
        $yycheck[$p->{yyn}] == $p->{yystate})
    {
        $p->{yystate} = $yytable[$p->{yyn}];
    } else {
        $p->{yystate} = $yydgoto[$p->{yym}];
    }
    warn("yydebug: after reduction, shifting from state " . 
        $p->{yyss}->[$p->{yyssp}] . " to state " . 
        $p->{yystate} . "\n") if $p->{yydebug};
    $p->{yyss}[++$p->{yyssp}] = $p->{yystate};
    $p->{yyvs}[++$p->{yyvsp}] = $p->{yyval};
  } # yyloop
} # yyparse
#line 388 "parse.y"

sub yyerror {
	print STDERR "Error token at line $.: ", @_, "\n";
	exit(1);
}

1;
#line 775 "y.code.pl"
1;
