/*
 *
 * FILE : global.h - global definitions
 *
 * programmer - Pawel Cholewinski
 *
 * date 12/28/92
 *
 */

#include <string.h>
#include <stdio.h>

#define EOS '\0'
#define SPACE ' '
#define MAXBUFOR 256
#define WSIZE   32641   /* sum delimmiter for hash function */
#define MAXPAR 16
#define MAXFILENAME 256
#define MAXCOM 128
#define EOT 4
#define DEFPROMPT "dft"
#define COPTSIZE 128
#define MAXSIZE 258
#define BSIZE 128
#define HASHSIZE 17    /* 0 =< hashkey =< HASHSIZE  */
#define NONE -1
#define EXISTS 0
#define ALLEXT 1
#define INSOME 2
#define INALL  3

char *argvx[MAXPAR];
int argcx;
char prompt[8];
int opcja[4], flag[COPTSIZE];
int err, timex, ff;
char lexbuf[BSIZE];

int mode_default,  mode_lp, mode_modal;
int on_default, on_lp, on_modal;
int inp_default, inp_lp, inp_modal;
int def_stratif;
char def_znak[MAXFILENAME], lp_znak[MAXFILENAME], modal_znak[MAXFILENAME];
char logic_on;
long n_expnsns, n_extnsns, n_cppcalls, n_candidates, n_covered, n_uncons;
FILE *finp;
FILE *fout;
FILE *fdw;
FILE *fstratif;

struct GDset {
   int flag[MAXSIZE];
   struct GDset *next;
};

struct symbolbox {
   char *id;
   int no;
   struct symbolbox *next;
};

struct formulabox {
   int fs;
   int ls;
   struct formulabox *next;
};

struct symbolbox *defhashtable[HASHSIZE];
struct symbolbox *mdhashtable[HASHSIZE];
struct symbolbox *lphashtable[HASHSIZE];

struct symbolbox *lookup();
struct symbolbox *insert();
