/*
 * x11ext.h
 */


#define NUMBER_BUTTONS 64 
#define MAX_COLORS      255
#define NMB 6
#define ARCB 7
#define ARRB 8
#define OKB 9

#define CONTBUT   10
#define RESETBUT  11
#define HALTBUT   12
#define REDRAWBUT 13
#define QUITBUT    0

#define STATWW 60
#define STATWH 20
#define STATWB 8
#define MAXACTION 8*1024


typedef struct {
        char wm;   /* 'l', 'r', 't', 'f' */
        int pres, x,y;
        int wdth, hght;
        unsigned long clron, clroff;
        char *bid;
}  tbButton;

typedef struct
        {
        unsigned long   pixel;
        } ColourStruct;

typedef struct tb_Paint {
   int paint_winwdth, paint_winhght;
   float interior;
   int vtxrad, edgearrh;
   unsigned long vtxpixel, edgepixel;
   char *graphicmode, *info;
   int ifnames, ifarcs, ifarrows;
   tb_Graph *lastgraph, *newgraph;
   int winctrx, winctry;
} tb_Paint;
struct action {
        char t;
        int p, q, r, s;
};



ColourStruct    colours[ MAX_COLORS + 1 ];

tbButton tbbutton[NUMBER_BUTTONS];
int buttons_num;
struct action dxa[MAXACTION];
int customrgb[MAX_COLORS + 1 ];
tb_Paint viewinfo;

int             box_width;              /* -- width of each box */
int             box_height;             /* -- height of each box */
int             top_margin, foot_margin, left_margin, right_margin;
int             current_color;      /* -- which color was last chosen */
unsigned long   black, white, marginclr;

XFontStruct *font;
float ppx, ppy, ppz;
int gphx, gphy, gphw, gphh;
float mtxA[2][2], mtxB[2];

int strn_extl, strn_cppl, strn_canl, strtimel;
