/*****************************************************************************
 *
 * FILE : expansions.h - definitions of modal theory data structures
 *
 * programmer - Pawel Cholewinski
 *
 * date 04/19/93
 *
 *****************************************************************************/


#define MDMAXSIZE  64 
#define MDSIZE 1024
#define PC   0
#define N    10
#define t    11
#define K    20
#define T    30
#define D    40
#define S4   50
#define kd45 60
#define S4f  70
#define Sw5  80
#define S5   90

extern int modtable[MDSIZE];
extern int modform[MDMAXSIZE];
extern int Lma[MDMAXSIZE];
extern int GenPart[MDMAXSIZE];
extern int setphi[MDMAXSIZE];
extern struct formulabox* Lalpha[MDMAXSIZE];
extern struct formulabox* LMbeta[MDMAXSIZE];
extern struct formulabox* Pgamma[MDMAXSIZE];
extern int IsClausal[MDMAXSIZE];
extern int current_nml;


extern int mdbegin, mdend, md_stack_top;
extern char *mdatomlex[MDMAXSIZE];
extern int mfno, mano, mffno, Lma_done;

struct formulabox* newformula();
struct formulabox* modal_list_insert();
