/*****************************************************************************
 *
 * FILE : models.h - definitions of LP data structures
 *
 * programmer - Pawel Cholewinski
 *
 * date 04/19/93
 *
 *****************************************************************************/


#define LPMAXSIZE  8192 
#define LPSIZE 1024*64

extern int lptable[LPSIZE];
extern int lpclause[LPMAXSIZE];
extern int headno[LPMAXSIZE];
extern int order[LPMAXSIZE];
extern int segment[LPMAXSIZE];
extern int genset[LPMAXSIZE];
extern int Cmodel[LPMAXSIZE];
extern int Tmodel[LPMAXSIZE];
extern int lpReduct[LPMAXSIZE];
extern int lpUsed[LPMAXSIZE];

extern int lppbegin, lppend, lp_stack_top;
extern char *lpatomlex[2*LPMAXSIZE];
extern int lffno, clno, hno;
