/*
 * x11ext.h
 */


#define NUMBER_BUTTONS 64 
#define MAX_COLORS      255
#define NMB 6
#define ARCB 7
#define ARRB 8
#define OKB 9

#define CONTBUT   10
#define RESETBUT  11
#define HALTBUT   12
#define REDRAWBUT 13
#define QUITBUT    0

#define STATWW 60
#define STATWH 20
#define STATWB 8


typedef struct {
        char wm;   /* 'l', 'r', 't', 'f' */
        int pres, x,y;
        int wdth, hght;
        unsigned long clron, clroff;
        char *bid;
}  tbButton;

typedef struct
        {
        unsigned long   pixel;
        } ColourStruct;

typedef struct tb_Paint {
   int paint_winwdth, paint_winhght;
   float interior;
   int vtxrad, edgearrh;
   unsigned long vtxpixel, edgepixel;
   char *graphicmode, *info;
   int ifnames, ifarcs, ifarrows;
   tb_Graph *lastgraph, *newgraph;
   int winctrx, winctry;
} tb_Paint;
struct action {
        char t;
        int p, q, r, s;
};



extern ColourStruct    colours[ MAX_COLORS + 1 ];

extern tbButton tbbutton[NUMBER_BUTTONS];
extern int buttons_num, refronext;
extern struct action dxa[MAXDSIZE];
extern int customrgb[MAX_COLORS + 1 ];
extern tb_Paint viewinfo;

extern int             box_width;              /* -- width of each box */
extern int             box_height;             /* -- height of each box */
extern int             top_margin, foot_margin, left_margin, right_margin;
extern int             current_color;      /* -- which color was last chosen */
extern unsigned long   black, white, marginclr;

extern XFontStruct *font;
extern float ppx, ppy, ppz;
extern int gphx, gphy, gphw, gphh;
extern float mtxA[2][2], mtxB[2];

extern int strn_extl, strn_cppl, strn_canl, strtimel;
