/*
 * Copyright (c) 1989 Brian Sturgill
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that the above copyright notice and this paragraph are
 * duplicated in all such forms and that any documentation,
 * advertising materials, and other materials related to such
 * distribution and use acknowledge that the software was developed
 * by Brian Sturgill and Raphael Finkel at the University of Kentucky,
 * Department of Computer Science.  The names of the University or the
 * authors may not be used to endorse or promote products derived
 * from this software without specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#include "objects.h"

main()
{
SL l;
AS s;
AA a;
char *p;
int t;
int i,j;

for(j=0;j<3;j++)
{
for(i=0;i<100;i++)
	{
	SL_init(l);
	SL_append(l,"append1");
	SL_append(l,"append2");
	SL_append(l,"append3");
	SL_append(l,"append4");
	SL_insert(l,"there");
	SL_insert(l,"hi");
	printf("%d\n",SL_size(l));
	SL_foreach(l,p)
		puts(p);
	SL_endforeach
	SL_free(l);
	}

for(i=0;i<100;i++)
	{
	AS_init(s,2);
	AS_push(s,5);
	AS_push(s,3);
	AS_push(s,2);
	AS_foreach(s,t)
		printf("%d\n",t);
	AS_endforeach
	t=AS_pop(s);
	printf("t = %d\n",t);
	AS_foreach(s,t)
		printf("%d\n",t);
	AS_endforeach
	while(!AS_empty(s))
		t=AS_pop(s);
	AS_foreach(s,t)
		printf("%d\n",t);
	AS_endforeach
	AS_free(s);
	}
for(i=0;i<100;i++)
	{
	char *p;
	AA_init(a,i%2==0?2:200);
	AA_assign(a,"one",1);
	AA_assign(a,"two",2);
	AA_assign(a,"three",3);
	AA_assign(a,"four",4);
	AA_assign(a,"five",5);
	if(AA_isset(a,"six"))
		printf("Whoops");
	if(!AA_isset(a,"five"))
		printf("Whoops five");
	(void)AA_retrieve(a,"three",t);
	if(t != 3)
		printf("Whoops three");
	AA_foreach(a,p,t)
		printf("%s = %d\n",p,t);
	AA_endforeach
	AA_free(a);
	}
}
exit(0);
}
