/*
 * Copyright (c) 1989 Brian Sturgill
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that the above copyright notice and this paragraph are
 * duplicated in all such forms and that any documentation,
 * advertising materials, and other materials related to such
 * distribution and use acknowledge that the software was developed
 * by Brian Sturgill and Raphael Finkel at the University of Kentucky,
 * Department of Computer Science.  The names of the University or the
 * authors may not be used to endorse or promote products derived
 * from this software without specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

/* If you change this file change also =Lib/Progsup/saterrs.c */

#define GOOD 0
#define BAD_ATTRIBUTE 1
#define BAD_DATATYPE 2
#define BAD_DEF_IN_SWITCH 3
#define BAD_OPEN 4
#define READ_ERROR 5
#define OUT_OF_STORAGE 6
#define BAD_SCHEME_OPEN 7
#define BAD_ARGUMENTS 8
#define WRITE_ERROR 9
#define REMOTE_OPEN_FAILED 10
#define CANT_HAPPEN 11
#define SIGNAL_CAUGHT 12
#define DATA_OUT_OF_SYNC 13
#define NO_PERMISSION 14
#define TIMED_OUT 15
#define BAD_DATA 16
