/*LINTLIBRARY*/
/*
 * Copyright (c) 1989 Brian Sturgill
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that the above copyright notice and this paragraph are
 * duplicated in all such forms and that any documentation,
 * advertising materials, and other materials related to such
 * distribution and use acknowledge that the software was developed
 * by Brian Sturgill and Raphael Finkel at the University of Kentucky,
 * Department of Computer Science.  The names of the University or the
 * authors may not be used to endorse or promote products derived
 * from this software without specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#include "ps.h"

extern int LINES, COLS;

extern char *stdscr;		/* CHEATING!!!!!!!
			This is really a pointer to struct WINDOW */

addstr (str)
     String str;
{
  waddstr (stdscr, str);
}
clear ()
{
  wclear (stdscr);
}
clrtobot ()
{
  wclrtobot (stdscr);
}
clrtoeol ()
{
  wclrtoeol (stdscr);
}
delch ()
{
  wdelch (stdscr);
}
deleteln ()
{
  wdeleteln (stdscr);
}
/* endwin already a function */
erase ()
{
  werase (stdscr);
}
/* initscr already a function */
insertln ()
{
  winsertln (stdscr);
}
move (y, x)
     Integer x, y;
{
  wmove (stdscr, (int) y, (int) x);
}
refresh ()
{
  wrefresh (stdscr);
}
standend ()
{
  wstandend (stdscr);
}
standout ()
{
  wstandout (stdscr);
}

Integer
Lines ()
{
  return ((Integer) LINES);
}

Integer
Cols ()
{
  return ((Integer) COLS);
}
