#include <stdio.h>

#include "global.h"

int CleanWS = TRUE;
char Delimiter = '%';
char *HostName;
char *FullHostName;

Usage ()
{
  fprintf (stderr, "Usage: spp [-d\"c\"] [-v]\n");
}

main (argc, argv)
     int argc;
     char *argv[];
{
  int i;
  char *hostname (), *fullhostname ();

  for (i = 1; i < argc; i++)
    {
      if (strncmp (argv[i], "-d", 2) == 0)
	Delimiter = argv[i][2];
      else if (strncmp (argv[i], "-v", 2) == 0)
	CleanWS = FALSE;
      else
	Usage ();
    }

  HostName = hostname ();
  if (HostName[0] == '\0')
    {
      fprintf (stderr, "Cannot determine hostname.\n");
      exit (1);
    }

  FullHostName = fullhostname ();
  if (FullHostName[0] == '\0')
    {
      fprintf (stderr, "Cannot determine full hostname.\n");
      exit (1);
    }

  exit (yyparse ());
}
