#!/bin/sh
df=/bin/df
h=`/bin/hostname`
echo=echo

if [ `hostinfo OSType` = hpux ] ; then
	df=/usr/bin/bdf
	echo=/usr/local/bin/echo
fi
if [ $# -gt 1 ] ; then long=true ; fi
while [ x$1 != x ] ; do
	if [ x$long = xtrue ] ; then $echo -n $1 "	" ; fi
	if [ -f $1 -o -d $1 ] ; then
		$df $1 | sed \
			-e /ounted/d \
			-e /ilesystem/d \
			-e 's/\(.*\):.*/\1/' \
			-e "/\//s/.*/$h/"
	else
		echo "$1 not found"
	fi
	shift
done
