/*
 * FILE : global.h - global definitions
 *
 * programmer - Pawel Cholewinski
 *
 * date 03/05/93
 */

#include <string.h>
#include <stdio.h>
#include <stdlib.h>

#define SPACE ' '
#define MAXCOM 128
#define MAXOPT 128
#define MAXPAR 64
#define EOS '\0'
#define WSIZE   32641   
#define HASHSIZE   31
#define MAXGRAPHNO 128
#define MAXIDLENGTH 128


extern int opcja[MAXOPT];
extern char znak[MAXIDLENGTH];
extern char optstr[MAXIDLENGTH];


long gbarg[MAXPAR];
extern int arg1, arg2, arg3;
extern FILE *finp, *fdt, *fthc, *fdc, *fstratif, *fgph, *flp, *fdisp;

extern int idcounter, lineno;
extern struct symbolbox *vertex_symbol[HASHSIZE];
extern struct vertexbox *gph_head, *gph_tail;
extern struct symbolbox *tname;
extern int n_errors, graph_on, prev_token, token, tvalue, trace;
extern int inedges, issym;
extern int tbshx11width, tbshx11arc, tbshx11arrow, tbshx11ids;


extern char *argvx[MAXPAR];
extern int argcx;

extern struct vertexbox *gph_head, *gph_tail;
extern struct symbolbox *vertex_symbol[HASHSIZE];
