/*
 * x11tbsh.h
 */


#define NUMBER_BUTTONS 64 
#define MAX_COLORS      255

typedef struct {
        char wm;   
        int pres, x,y;
        int wdth, hght;
        unsigned long clron, clroff;
        char *bid;
}  tbButton;

typedef struct
        {
        unsigned long   pixel;
        } ColourStruct;

typedef struct tb_Paint {
   int paint_winwdth, paint_winhght;
   float interior;
   int vtxrad, edgearrh;
   unsigned long vtxpixel, edgepixel;
   char *graphicmode;
   int ifnames, ifarcs, ifarrows;
   tb_Graph *lastgraph, *newgraph;
   int start;
   int winctrx, winctry;
} tb_Paint;


ColourStruct    colours[ MAX_COLORS + 1 ];

tbButton tbbutton[NUMBER_BUTTONS];
int buttons_num;
tb_Paint viewinfo;

int             box_width;              
int             box_height;             
int             top_margin, foot_margin, left_margin, right_margin;
int             current_color;      
unsigned long   black, white, marginclr;

XFontStruct *font;
float ppx, ppy, ppz;
