.m1 0
.m4 0
.fp 6 ZC
.EQ
gsize 14
delim $$
.EN
.nr pp 14
.sz 14
.ce 3
\fITHEORY AND ALGORITHMS\fR
PhD Breadth Examination
Autumn 1991
.sp
.pp
Please print your name at the top of this page, answer each question
on a separate sheet of paper, and write the code letter found at the
top of this page on each page you turn in.
.sp
.ip 1.
In the workplace, people often run across problems which are
unsolvable
and some which are \f6\s+2NP\s-2\f1-complete.  What exactly do these terms
mean?  Give examples of practical problems which are in these
classes.  If you ran across a problem that you suspected to be
in one of these classes, how would you go about proving that this
is so.  (Just for one of the classes.)
.sp
.ip 2.
A \f2priority deque\f1 is a priority queue where it is possible to
remove the item with the \f2lowest\f1 priority as well as that with
the highest.  That is, there are three operations:  insert, delete_min,
and delete_max.  Design an appropriate data structure
and implementation for this.  Describe
in detail your insert and one of the
delete algorithms.  Provide complexities (and the reasons
for such) for all three operations.  [\f3N.B.  Complexities of more than
O(logn) will receive at most partial credit.]
.sp
.ip 3.
Define the Chomsky's hierarchy of formal languages.
Describe the relationships between them with
regard to class inclusion.  [Say things like A \(ib B but A \(!= B.]
Prove that two of your claims are indeed true.
.sp
.ce
\(bu\0\0\0\(bu \f2ANSWER ONE OF THE NEXT THREE QUESTIONS\f1 \(bu\0\0\0\(bu
.sp
.ip 4.
Describe bitonic sort and analyze its time and processor complexities.
For $n$ data items and $p$ processors express the time complexity
of the algorithm in terms of $n$ and $p$.
.sp
.ip 5.
Define the channel routing problem.  What is its time complexity?
Describe in detail an algorithm for solving this problem.  Provide
a convincing argument that the algorithm does produce a feasible
solution.
.sp
.ip 6.
Define strongly connected components in directed graphs.  Develop
an algorithm for finding these components.  Analyze the time
complexity.
