.m1 0
.EQ
gsize 14
delim $$
.EN
.nr pp 14
.po +0.5i
.sz 16
.ce 2
\fITHEORY AND ALGORITHMS\fR
.sz 14
PhD Breadth Examination - Spring 1991
.sp
.sp
.ip 1.
Suppose you have a set of records for the graduate students enrolled
in our department.  Each record is very, very long and contains many
fields.  The first four fields tell each student's name, country of
origin, and GPA.  For example:
.(l
.(c
Bush George USA 3.68 ...
Windsor Elizabeth GB 3.25 ...
.)c
.)l
Develop a sorting algorithm which sorts these records on any
two of the first four fields.  (These two fields
and their precedence will be specified by
the user.  For example: the records could be ordered, first
by GPA and then by country.) Indicate
exactly why the algorithm is correct. (Show
that it sorts, and sorts on the two specified fields properly.)
Your algorithm should be of time complexity \fIO(nlogn)\fR with the
constant \fInot\fR depending upon record size.
.sp
.ip 2.
Define context-free languages and regular sets. To which do the following
sets of strings belong?  Justify your answers.
.(l
.(c
a) {strings of $a$'s and $b$'s containing an odd number of $a$'s}
b) {strings of $a$'s and $b$'s not containing an $a$ in \fBexact\fR center}
c) {strings of the form $0 sup n (0+01) sup * (1+10) sup * 1 sup n$, for $n > 1$}
d) {strings of the form $a sup n b sup n c sup \(**$ and $a sup \(** b sup n c sup n$}
.)c
.)l
.sp
.ip 3.
Discuss the minimum possible time complexity for worst case solutions
to the following problems?
.(l
.(c
a) detecting cycles in undirected graphs
b) detecting cliques of size six or more in undirected graphs
c) detecting infinite loops in programs
.)c
.)l
.sp
Provide an algorithm for one of these problems which
satisfies your complexity bound.
.sp
.ip 4
What does it mean if a set is in the class \fIP\fR?  What does it
mean if a set is \fINP-complete\fR?  Provide examples of sets which belong
to these classes.  If you had to prove that these sets were indeed
members of these classes, how would you accomplish this?  (That is,
what techniques would you use?)
