.nr PS 12
.ps 12
.nr LL 6.5i
.ll 6.5i
.ce 3
Computer Science Foundational Examination
.sp
Fall 1989
.sp
\fBSystems\fR
.sp 4
.IP 1)
Give an example of a computation where a stack machine
would be superior to a register transfer architecture.  For
the sake of this question assume that the stack machine holds
the top 4 stack operands in high-speed register storage and that
the register machine has 4 general purpose arithmetic
registers.
.PP
Explain your results.
.sp 10
.IP 2)
In any functional language give a function which when given a list
will return the reverse of the list.
.sp 
		e.g.,
.sp
.ce 1
reverse ((a, b, (c,d), e)) = (e, (c,d), b, a)
.sp 10
.IP 3)
Consider the following process synchronization problem.  Process
"A" should finish before "B" starts, and when B finishes, both C and D
should start.
.RS
.IP A. 
Draw the synchronization graph for this set of precedence constraints.
.IP B.
Show how to use two semaphores to achieve the necessary synchronization.
.RE
.bp
.IP 4) 
Consider a segmented architecture in which the operating system
supports segment sharing among processes.  A process's 4-digit virtual
address space consists of a two-digit segment number followed by a
two-digit offset.  Process A has the following segment table:
.sp 2
Process A:
.TS
center box;
c | c | c | c | c | c | c.
Segment	start	length	present	read	write	exec
number	address		bit	bit	bit	bit
_	_	_	_	_	_	_
0	100	77	yes	yes	yes	no
_	_	_	_	_	_	_
1	540	90	yes	yes	yes	no
_	_	_	_	_	_	_
2	15	80	yes	no	no	yes
_	_	_	_	_	_	_
3	***	***	no	***	***	***
.TE
.sp 2
.RS
.IP A. 
What virtual address(es) correspond(s) to physical address 567?
.sp 
.IP B. 
What does  the address translation algorithm return when
process A references virtual address 160?
.sp 
.IP C. 
What does  the address translation algorithm return when
process A references virtual address 285?
.RE
.sp 7
.IP 5)
Consider the context free grammar with productions.
.sp 
.TS
l l l.
S	\(->	A
A	\(->	aAa | aa
.TE
.sp 
What is the language associated with the grammar?  Prove that the grammar
is neither LL(1), LR(1), nor ambiguous.
.sp 7
.IP 6)
Read locks and write locks are often used to allow readers to proceed
simultaneously.
However if read lock requests are always granted immediately if no write
lock is held by any transaction, it is possible for a writer to wait
indefinitely.
.sp
Show an example of how this can happen.
