.nr PS 14
.ps 14
.nr LL 6.5i
.ll 6.5i
.ce 6
Department of Computer Science
.sp 2
Systems Foundational Examination
.sp 4
Closed Books & Notes
.sp 3
April 18, 1990
.sp
2:00 - 4:00 P. M.
.sp
CB - 233
.sp 3
.nr PS 12
.ps 12
.LP
Answer Question I and two (2) of the remaining
four (4) Questions.  Please circle which of the
questions II - V that you wish graded.
.TS
r l l.
I -	Machine Organization  (Required)	____

II -	Operating Systems	____

III -	Compilers	____

IV -	Programming Languages	____

V -	Database Systems	____


	Total	____
.TE
.sp 5
.nf
.TS
l l.
Identifier:	____  
.sp 3
Name:	___________________________________
.TE
.bp
.LP
I - Machine Organization
.sp
.IP a)     
Describe a user-level program to determine whether or not
a computing system utilizes virtual memory.  You need not
provide even pseudo-code for the implementation, but be
sure to explain the main idea behind your program and
what characteristics of virtual memory it is using. 
Indicate a possible architecture which might fool your
program. 
.IP b)     
What is a virtual memory page-out daemon (a procerss
which runs in the background)?  Assuming that you are on
a uni-processor system, what advantage is there to using
a page-out daemon rather than simply paging out on
demand? 
.IP c)     
What is a binary semaphore?  Describe two  hardware
mechanisms which can be used to implement binary
semaphores on a uni-processor.  Describe a typical
implementation using each mechanism.  
.sp 3
.LP
II - Operating Systems
.sp 3
.TS
center;
l l.
.DS
.KS
.GS
width 3i
height 3i
file sys.90.4..grn
.GE
.DE
.KE
.TE
.sp 3
.PP
The above diagram appears in almost every textbook on
operating systems to describe the potential transitions of
processes as they use processor(s).  
.sp 
.IP a)     
Briefly describe the states, and give them more
meaningful names.
.sp
.IP b)     
Briefly describe each of the transitions.  Give an
example of the conditions under which a process might
take each transition.
.sp
.IP c)     
How would you modify the diagram if the system were to
support two classes of processes: interactive (real-time,
high priority) processes and batch (background, low
priority) processes.
.sp 3
.LP
III - Compiling
.sp
.PP
A palindrome is a sequence of symbols that reads the same
backwards or forwards, such as the one attributed to Roosevelt: "A
MAN A PLAN A CANAL PANAMA."  For this entire question you can
ignore all blanks in the input, that is you can assume that there
will be no blanks in the input.
.sp
.IP a)     
Write a grammar that recognizes simple palindromes made
of the upper case letters each of which appears exactly
twice and at the center of which is the character "#". 
For example, 1234#4321 or 3#3 or #.
.sp
.IP b)     
Define a push-down automaton (PDA) that will recognize
the simple palindromes of part a.
.sp
.IP c)     
Can you modify your grammar of part a to recognize such
case insensitive palindromes as "A Man A Plan A Canal
Panama"?  If so give the grammar and if not discuss why
not.
.sp 3
.LP
IV - Programming Languages
.sp
.PP
Consider the following two Pascal program fragments in which
S represents an arbitrary sequence of syntactically valid
statements:
.sp
.nf
             for I := 1 to A(J) do                  I := 1;
               begin                          while I<=A(J) do
                   S                            begin
               end                                         S;
                                                    I := I+1
                                                end
.sp
.fi
.PP
Under what conditions are these two program fragments
identical?  
.sp 3
.LP
V - Database Systems
.sp
.PP
Given R{ABCDEF} and the set of functional dependencies on R
given by F = {ABC->DE, AB->D, DE->ABCF, E->C}, in what normal form is
R?  If it is not in 3NF, decompose R and find a set of 3NF
projections of R.  Is the set lossless and dependency-preserving?
