#!/usr/local/bin/perl -w

=head1 SYNOPSIS

Removes spaces from stdin to the right of ==> of each line, then directs
unbuffered to stdout.

=cut

$| = 1; # unbuffered output
$longSpace = "";
while (defined($line = <>)) {
	if ($line =~ /(.*)==>(.*)/) {
		$first = $1;
		$second = $2;
		$second =~ tr/ //d;
		$second =~ tr/\|/\t/d;
		$first =~ s/< /</g;
		$first =~ s/ >/>/g;
		$first =~ s/^>+ //;
		print "$first→\t$longSpace$second\n";
		$longSpace = ($longSpace eq "") ? "       " : "";
		$longSpace = ""; # suppress extra spacing
	} else {
		print $line;
	}
}
