/* lp_stable.h
 * Neil Moore <neil@cs.uky.edu>
 * 22 Oct 1999
 *
 * Part of liblp.  See COPYRIGHT for copyright information.
 */
#ifndef _LP_STABLE_H_INCLUDED
#define _LP_STABLE_H_INCLUDED

#include <lp.h>

int lp_stable(struct lp *p, int (*callback)(struct lp *,int *), int sloppy,
              int *strata, int nstr);
void lp_stable_stats(int *choices, int *models, int *conflicts, int *forced,
                     int *tried);

#endif /* _LP_STABLE_H_INCLUDED */
