/*
 * FILE : token.h - definitions of token values for encoding default theory
 *
 * programmer - Pawel Cholewinski
 *
 * date 12/28/92
 * modified 29 Apr 1999 by Neil Moore <neil@cs.uky.edu>
 * modified 20 Aug 1999 by Neil Moore <neil@cs.uky.edu>
 *
 * Part of sderes.  See COPYRIGHT for copyright information.
 *
 */

#ifndef _TOKEN_H_INCLUDED
#define _TOKEN_H_INCLUDED

#include <ctype.h>

#define TOP      24269
#define BOT      24270

#define NEG	 24271
#define AND      24302

#define COLON    24401
#define COMMA    24402
#define ENT      24403
 
#define UNKNOWN  24999

#define VAR      24777
#define SEMI	 24444
#define BOW	31000
#define EOW	31111
#define BOD	32000
#define EOD	32222
#define ENDTH   24333
#define BOP     24000
#define EOP     32444
#define EOI     24999

#endif /* _TOKEN_H_INCLUDED */
