#!/usr/local/bin/tclsh

# See if print queue has waiting things
#  Copyright (c) 1999 Raphael Finkel.  See the COPYRIGHT file for details.

source unix.tcl

set myHost [info hostname]
while {[file rootname $myHost]!=$myHost} {
	set myHost [file rootname $myHost]
}

set printFiles [glob -nocomplain [exec ./enumerate.tcl printDir]]

if {[string length $printFiles]==0} {
	puts "print queues empty"
	report $myHost printqueue 1 "all well"
} else {
	puts "non-empty print queue:\n$printFiles"
	report $myHost printqueue 15 "non-empty print queue:\n$printFiles"
}

exit 0
