#!/usr/local/bin/tclsh

# See if print queue has waiting things
#  Copyright (c) 1999 Raphael Finkel.  See the COPYRIGHT file for details.

source unix.tcl

if {[catch \
	{set printFiles [glob -nocomplain [exec ./enumerate.tcl printDir]]}
	]} {
	puts "You need to run with more privilege."
	exit -1
}

if {[string length $printFiles]==0} {
	puts "print queues empty"
	report $myHost printqueue 1 "all well"
} else {
	puts "non-empty print queue:\n$printFiles"
	report $myHost printqueue 15 "non-empty print queue:\n$printFiles"
}

exit 0
