#!/usr/local/bin/tclsh

# Notice machines that should be reporting but aren't.
#  Copyright (c) 1996, 1999 Raphael Finkel.  See the COPYRIGHT file for details.

source unix.tcl

foreach machine [exec enumerate.tcl upHosts] {
	if {[catch [exec agrep " $machine cpu" presenter.log presenter.log.1 \
		presenter.log.2 > /dev/null]]} {
		puts "$machine not reporting";
		report $machine pulsar 15 "no recent report"
	} else {
		puts "$machine reporting"
		report $machine pulsar 1 "reporting regularly"
	}
}
