.CH "Space Management"
.lp
The management of both time and main store is motivated by the fact that
processes generally are designed to pretend that other processes don't exist.
It shouldn't make any difference to \fBA\fP whether or not \fBB\fP is also in
the ready list.
\fBB\fP's actions should not have visible repercussions on \fBA\fP's store.
Processes also ignore details about the machine, such as how much
main store there really is and where the kernel is in main store.
Both of these features are consonant with the Beautification Principle,
.IN "Beautification principle"
which makes the operating system responsible for keeping ugly details out of
view.
.pp
However, multiprogramming works best when several processes are
kept in main store at the same time, because process switching among them
requires less work if data need not be transferred between main and backing
store.
The fact that several processes share main store requires that the operating
system allocate the main store resource effectively, in accord with the
Resource Principle.
.IN "Resource Principle"
In particular, the operating system must protect processes
from each other, keep track of the current allocation state
of main store, and arrange with the hardware for efficient execution.
.so space.prel.nr
.so space.parti.nr
.so space.1seg.nr
.so space.2seg.nr
.so space.seg.nr
.so space.page.nr
.so space.cases.nr
.so space.virtmach.nr
.so spac.pg.rep.nr
.so spac.pg.cls.nr
.so space.refs.nr
.so space.exerc.nr
