.SH 1 "Further reading"
.lp
A good summary of virtual store techniques is given by Denning.
.[
denning virtual memory
.]
A substantial amount of research has been directed to design, modeling,
simulation, and measurement of various space-management schemes.
By far the greatest effort has been devoted to paging.
Smith
.[
smith bibliography paging
.]
has compiled a large bibliography of the relevant literature.
Belady, who showed that the Min algorithm is optimal,
.[
belady study replacement
.]
also discovered the anomalies that FIFO can produce in the fault-rate graph.
.[
belady anomaly
.]
.IN "First in, first out" "page replacement"
.IN Anomalies
An article by Masuda
.[
masuda localities
.]
notices that a working set policy becomes less responsive as phase changes
increase in frequency.
.IN "Phase change"
The value of the window size @w@ becomes critical in these situations.
Babaoglu and Joy
.[
babaoglu joy paging
.]
describe how they modified a version of Unix
.IN Unix "operating system"
that used segmentation to use swapping on the DEC VAX,
.IN "DEC VAX-11" "computer"
which does not have a Used field.
The WSCLOCK page-replacement policy was developed by Carr and Hennessy.
.[
carr hennessy wsclock
.]
Database management systems have atypical page-reference behavior, which can
lead to poor results with standard page-replacement algorithms.
.IN Databases
This issue is introduced in exercise 25.
More details can be found in Stonebraker's article.
.[
stonebraker operating database
.]
.pp
Knuth
.[
knuth fundamental algorithms
.]
gives a good review of the boundary-tag, first-fit, and best-fit
storage allocation.
The warning about circular first fit in large spaces was given by Shore.
.[
shore external fragmentation
.]
Maintaining subpools for blocks of popular sizes has been suggested by
Margolin.
.[
margolin parmelee
.]
