#!/usr/local/bin/tclsh

# Start at machines that should be reporting but aren't.
#  Copyright (c) 1996, 1998 Raphael Finkel.  See the COPYRIGHT file for details.

source unix.tcl

set myHost [info hostname]
while {[file rootname $myHost]!=$myHost} {
	set myHost [file rootname $myHost]
}

set seemDown [exec ./notReporting]
report down needed_restart 5 "$seemDown"

catch {eval exec ./startat.csh $seemDown}

exit 0
