#!/bin/csh -f

set TYPE=`uname -s`

if ($TYPE == Linux) then
	set FILLER=-c
else
	set FILLER=""
endif

while ( x$1 != x )
	ping $1 $FILLER 2 >& /dev/null
	if ( $status == 0 ) then
		set result=`telnet $1 13 < /dev/null |& grep refused` # or use 11
		if ( "x$result" == x ) then
			echo starting at $1
			# rsh $1 "cd projects/pulsar; startschedule.tcl"
			ssh $1 "cd projects/pulsar; startschedule.tcl"
			# rsh $1 "cd /usr/local/pulsar; startschedule.tcl"
		else
			echo $1 is alive but not running Unix
		endif
	else
		echo $1 is dead
	endif
	shift
end

exit 0
